Community
Inventor Forum
Welcome to Autodesk’s Inventor Forums. Share your knowledge, ask questions, and explore popular Inventor topics.
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Sheet Metal Bend Line Marking

7 REPLIES 7
Reply
Message 1 of 8
Anonymous
2519 Views, 7 Replies

Sheet Metal Bend Line Marking

Hi,

I output my dxf files to another software package to get them ready for our
CNC burning table. Our table also has a punch (or marker).

I would like to somehow mark the bend lines on our sheets. I can mark an
entire line (which is in the output from an Inventor DXF) right now which is
really not necessary and very loud. Has anyone figured out a way to just
show bend lines that are maybe a cm long and just appear close to the edges.
I realize that I can go into ACAD after Inventor and trim the bend lines
down to be really short but this is not really a great alternative.

Anybody else do something like this?

Rob
7 REPLIES 7
Message 2 of 8
Anonymous
in reply to: Anonymous

I wish, I just end up going into Acad and editing there.

Blair
"RobV" wrote in message
news:5164397@discussion.autodesk.com...
Hi,

I output my dxf files to another software package to get them ready for our
CNC burning table. Our table also has a punch (or marker).

I would like to somehow mark the bend lines on our sheets. I can mark an
entire line (which is in the output from an Inventor DXF) right now which is
really not necessary and very loud. Has anyone figured out a way to just
show bend lines that are maybe a cm long and just appear close to the edges.
I realize that I can go into ACAD after Inventor and trim the bend lines
down to be really short but this is not really a great alternative.

Anybody else do something like this?

Rob
Message 3 of 8
Anonymous
in reply to: Anonymous

This is just an idea, but maybe worth looking in to.
Would you be able to modify the layer's line type/scale to something like a
dashed line but increase the scale so it was big enough to only appear as 2
or 3 dashes?
Although probably this would be as much work as a dxf edit....Food for
thought maybe.

Derek

"RobV" wrote in message
news:5164397@discussion.autodesk.com...
Hi,

I output my dxf files to another software package to get them ready for our
CNC burning table. Our table also has a punch (or marker).

I would like to somehow mark the bend lines on our sheets. I can mark an
entire line (which is in the output from an Inventor DXF) right now which is
really not necessary and very loud. Has anyone figured out a way to just
show bend lines that are maybe a cm long and just appear close to the edges.
I realize that I can go into ACAD after Inventor and trim the bend lines
down to be really short but this is not really a great alternative.

Anybody else do something like this?

Rob
Message 4 of 8
Anonymous
in reply to: Anonymous

Thanks for the idea but I don't think it would work too well as we could be
bending something that is 2" or something that is 72". If we play with the
line scale it would appear on a large piece but not on the small piece.

Rob

"Derek Burns" wrote in message
news:5164742@discussion.autodesk.com...
This is just an idea, but maybe worth looking in to.
Would you be able to modify the layer's line type/scale to something like a
dashed line but increase the scale so it was big enough to only appear as 2
or 3 dashes?
Although probably this would be as much work as a dxf edit....Food for
thought maybe.

Derek

"RobV" wrote in message
news:5164397@discussion.autodesk.com...
Hi,

I output my dxf files to another software package to get them ready for our
CNC burning table. Our table also has a punch (or marker).

I would like to somehow mark the bend lines on our sheets. I can mark an
entire line (which is in the output from an Inventor DXF) right now which is
really not necessary and very loud. Has anyone figured out a way to just
show bend lines that are maybe a cm long and just appear close to the edges.
I realize that I can go into ACAD after Inventor and trim the bend lines
down to be really short but this is not really a great alternative.

Anybody else do something like this?

Rob
Message 5 of 8
RonnieWilkins
in reply to: Anonymous

The code below could be used to help create the shortened bend lines. This will only run on the active AutoCAD drawing inside of AutoCAD. The routine could be set to run against a batch of drawings with a little more work.

Public Sub TrimBendLines()

'Change the following line to match your layer names
Dim BendLineLayer As String: BendLineLayer = "IV_BEND"

'Change the following line to adjust how much line is left
Dim Remnant As Double: Remnant = 0.5

'Variable to hold PI for angle calculations
Const PI As Double = 3.14159265358979

'Need to declare a selection set in AutoCAD to store bend lines for trimming
Dim SelSet As AcadSelectionSet
On Error Resume Next
ThisDrawing.SelectionSets.Add ("BendLines")
Set SelSet = ThisDrawing.SelectionSets.Item("BendLines")
SelSet.Clear
On Error GoTo 0

Dim FilterType(1) As Integer
Dim FilterData(1) As Variant

'Create filters so that we only select line objects on the bend line layer
FilterType(0) = 8: FilterData(0) = BendLineLayer
FilterType(1) = 0: FilterData(1) = "Line"

'Select the objects (if any exist)
SelSet.Select acSelectionSetAll, , , FilterType, FilterData

'If no bend lines are found then exit the sub routine
If SelSet.Count = 0 Then
Exit Sub
End If

'Set the active layer to the bend line layer for newly created lines
ThisDrawing.ActiveLayer = ThisDrawing.Layers.Item(BendLineLayer)

'Enumerate the selection set and shorten the exiting bend line
'Next we create a new bend line existing at the endpoint.
Dim L As AcadLine
For Each L In SelSet
Dim EndPoint As Variant: EndPoint = L.EndPoint

L.EndPoint = ThisDrawing.Utility.PolarPoint(L.StartPoint, L.Angle, Remnant)
Call ThisDrawing.ModelSpace.AddLine(ThisDrawing.Utility.PolarPoint(EndPoint, L.Angle - PI, Remnant), EndPoint)
Next

End Sub
Ronnie Wilkins, Jr.
Message 6 of 8
Anonymous
in reply to: Anonymous

Thanks for the code. I will try it out.

Rob

wrote in message news:5164790@discussion.autodesk.com...
The code below could be used to help create the shortened bend lines. This
will only run on the active AutoCAD drawing inside of AutoCAD. The routine
could be set to run against a batch of drawings with a little more work.

Public Sub TrimBendLines()

'Change the following line to match your layer names
Dim BendLineLayer As String: BendLineLayer = "IV_BEND"

'Change the following line to adjust how much line is left
Dim Remnant As Double: Remnant = 0.5


'Variable to hold PI for angle calculations
Const PI As Double = 3.14159265358979

'Need to declare a selection set in AutoCAD to store bend lines for
trimming
Dim SelSet As AcadSelectionSet
On Error Resume Next
ThisDrawing.SelectionSets.Add ("BendLines")
Set SelSet = ThisDrawing.SelectionSets.Item("BendLines")
SelSet.Clear
On Error GoTo 0

Dim FilterType(1) As Integer
Dim FilterData(1) As Variant

'Create fil
ters so that we only select line objects on the bend line layer
FilterType(0) = 8: FilterData(0) = BendLineLayer
FilterType(1) = 0: FilterData(1) = "Line"

'Select the objects (if any exist)
SelSet.Select acSelectionSetAll, , , FilterType, FilterData

'If no bend lines are found then exit the sub routine
If SelSet.Count = 0 Then
Exit Sub
End If

'Set the active layer to the bend line layer for newly created lines
ThisD
rawing.ActiveLayer = ThisDrawing.Layers.Item(BendLineLayer)

'Enumerate the selection set and shorten the exiting bend line
'Next we create a new bend line existing at the endpoint.
Dim L As AcadLine
For Each L In SelSet
Dim EndPoint As Variant: EndPoint = L.EndPoint

L.EndPoint = ThisDrawing.Utility.PolarPoint(L.StartPoint, L.Angle,
Remnant)
Call
ThisDrawing.ModelSpace.AddLine(ThisDrawing.Utility.PolarPoint(EndPoint,
L.Angle - P
I, Remnant), EndPoint)
Next

End Sub
Message 7 of 8
petercharles
in reply to: Anonymous

Since the DXF file is just a text file why not use VBA to iterate through the file looking for line entities on the "IV_BEND" layer and amend these?

For our own cutting I need to change the line colours (which are all white in an IV DXF) for bend lines to get an "etch" and for tangent lines and arc centres to get a colour that the cutting software ignores. I do this entirely within IV using VBA.
Message 8 of 8
brad
in reply to: Anonymous

I realize that this is an old post but, I am interested in expanding on this idea.  I tried the code out and it works great for the up bends.  I would like to do the same thing with the down bend only I would like the down bend lines to be marked in the center of the line instead of the ends.  The press brake guys use this line as a reference to mark the back side of the sheet metal part.  I have played around with the code a little bit but, I don't know enough VB to make the code do what I want.  Any help would be appreciated.

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report